Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I want to install Shogun on Windows XP, and getting the following error in Cygwin 2.0. I have already successfuly issued a ./configure command, and make command.

$ make install    
make -C shogun install    
make[1]: Entering directory `/shogun-2.0.0/src/shogun'    
install -d -m755 //usr/local/lib    
install: cannot create directory `//usr': Read-only file system    
Makefile:189: recipe for target `install-libshogun' failed    
make[1]: *** [install-libshogun] Error 1    
make[1]: Leaving directory `/shogun-2.0.0/src/shogun'    
Makefile:56: recipe for target `install' failed    
make: *** [install] Error 2

I am logged in to windows with an account that has admin privileges. I have changed the permissions on the entire cygwin folder to not read-only. I am using Cygwin 2.0, and Windows XP SP3. Any ideas?

share|improve this question

migrated from stackoverflow.com Oct 5 '12 at 18:18

This question came from our site for professional and enthusiast programmers.

add comment

2 Answers

I had same trouble, but it was solved by this entry in the official FAQ:

Q:Does shogun compile under windows?

A: Yes! With cygwin 1.7.1 the cmdline, python, python_modular and octave compile cleanly. However, octave_modular won't work since the swig version in cygwin is outdated - if you want that interface you need to compile swig manually. In addition neither R and matlab interfaces do currently compile: cygwin does not yet include up-to-date mingw packages. As none one of us use windows, and things (in external dependencies) break frequently, feel free to submit patches to cygwin. Ohh and one hint: use

make DESTDIR= install

to install (etc.). A plain ./configure;make;make install will fail since repeated slashes (e.g., '//usr/local') in cygwin are problematic but in posix systems simply ignored.

share|improve this answer
add comment

Few quick thoughts;

  • Is //usr where you want things installed? This looks like a typo of /usr perhaps in the ./configure call.
  • Cygwin's current version is 1.7.xx. Not sure what you mean by 2.0. Check the output of uname -a to find your version.
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.